import { Modal, Button } from 'antd';
import React from 'react';

export default (props) => {
  const { width = 600, height = 480, machineryRef, visible, toggleVisible } = props;

  const handleCancel = () => {
    toggleVisible(false);
  };

  return (
    <Modal
      width={width}
      footer={null}
      visible={visible}
      onCancel={handleCancel}
      bodyStyle={{ padding: 0 }}
    >
      <video
        style={{ display: 'block' }}
        width={width}
        height={height}
        controls
        src="https://yz-offical.oss-cn-shanghai.aliyuncs.com/%E7%9C%81%E5%8F%98%E7%94%B5%E5%9F%B9%E8%AE%AD%E5%9F%BA%E5%9C%B0%E8%A7%86%E9%A2%91%20A%20copy.mov"
      >
        <source src="movie.mp4" type="video/mp4" />
        <source src="movie.ogg" type="video/ogg" />
        您的浏览器不支持 video 。
      </video>
    </Modal>
  );
};
